# Uses of Class
javax.xml.catalog.CatalogFeatures

Packages that use CatalogFeatures
Package
Description
javax.xml.catalog
Provides the classes for implementing XML Catalogs OASIS Standard V1.1, 7 October 2005.

## Uses of CatalogFeatures in javax.xml.catalog

Methods in javax.xml.catalog that return CatalogFeatures
Modifier and Type
Method
Description
`CatalogFeatures`
CatalogFeatures.Builder.`build()`
Returns a CatalogFeatures object built by this builder.
`static CatalogFeatures`
CatalogFeatures.`defaults()`
Returns a CatalogFeatures instance with default settings.
Methods in javax.xml.catalog with parameters of type CatalogFeatures
Modifier and Type
Method
Description
`static Catalog`
CatalogManager.`catalog​(CatalogFeatures features, URI... uris)`
Creates a `Catalog` object using the specified feature settings and uri(s) to one or more catalog files.
`static CatalogResolver`
CatalogManager.`catalogResolver​(CatalogFeatures features, URI... uris)`
Creates an instance of a `CatalogResolver` using the specified feature settings and uri(s) to one or more catalog files.